( function( $ ) {

$(function onDomReady() {
	$('#EasylingSettingsForm').on( 'change', '#EasylingLocation, #EasylingProjectCode', function( e ) {
		updateLocationUrl();
	} );
	updateLocationUrl();
});

function updateLocationUrl() {
	var locationHost = $('#EasylingLocation').val();
	var projectCode = $('#EasylingProjectCode').val();
	locationHost = $.trim( locationHost );
	projectCode = $.trim( projectCode );

	if ( ! locationHost || ! projectCode ) {
		$('#EasylingLocationLogin').attr( 'href', '#' );
		$('#EasylingLocationLogin').attr( 'onclick', 'return false' );
		return;
	}

	var url = 'https://' + locationHost + '/_el/dashboard/project/' + projectCode + '/language-selector';
	$('#EasylingLocationLogin').attr( 'href', url );
	$('#EasylingLocationLogin').removeAttr( 'onclick' );
}

})( jQuery );